Subject: bug#24549: 25.1; Customizing group `text'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Sep 2016 17:27:20 +0300

> Date: Mon, 26 Sep 2016 13:46:26 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> 1. M-x customize-group RET emacs RET
> 
> That shows a group named "Text".
> 
> 2. M-x customize-group RET text RET
> 
> says "[No match]"
> 
> There is apparently no such group - at least none reachable using
> completion.

The group's _symbol_ is 'wp', "Text" is only its label (a.k.a. :tag):

  (defgroup wp nil
    "Support for editing text files."
    :tag "Text"
    :group 'emacs)

The ELisp manual says:

  ‘:tag LABEL’
       Use LABEL, a string, instead of the item’s name, to label the item
       in customization menus and buffers.  *Don’t use a tag which is
                                            ^^^^^^^^^^^^^^^^^^^^^^^^^
       substantially different from the item’s real name; that would cause
       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
       confusion.*
       ^^^^^^^^^^^

(a.k.a. "do as I say, not as I do").

Unfortunately, this is a very old problem, and the 'wp' thingy is by
now probably spread too much, including outside of Emacs, for us to
even consider renaming the symbol itself.

So I think one band-aid solution could be:

  . mention the group's symbol in its doc string, so that it could be
    seen in the Custom buffer;

  . extend customize-read-group so it also accepts group tags, not
    just their symbols.

Any better ideas?

Patches welcome, TIA.